Bug 104685 - new curl breaks php curl calls
new curl breaks php curl calls
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-09-18 21:41 EDT by Christopher McCrory
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-19 04:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2003-09-18 21:41:20 EDT
Description of problem:
new curl breaks php curl calls

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. up2date latest curl
2. run php curl type stuff
Actual results:
no data

Expected results:
data :)

Additional info:
echo curl_version();
$ch = curl_init ("https://www.redhat.com/");
$result = curl_exec ($ch);
curl_close ($ch);
echo("\n<BR>Output: ".$result);
Comment 1 Joe Orton 2003-09-19 04:07:24 EDT
Curl does SSL certificate verification by default now for https; you need to
either load the appropriate CA cert (CURLOPT_SSLCERT I think) or turn off
verification e.g.

$ch = curl_init ("https://www.redhat.com/");
curl_setopt ($ch, CURLOPT_SSL_VERIFYPEER, 0);

Comment 2 Christopher McCrory 2003-09-19 12:41:12 EDT
D'oh I was in a hurry when I wrote this up

updating curl breaks php/curl
A recompile of php fixes it.

There was a bug with curl going from curl source supplied root CA certs to
openssl supplied root CA certs.  That is now fixed.

Doesn't this say "Don't bother checking if the cert is valid?"
curl_setopt ($ch, CURLOPT_SSL_VERIFYPEER, 0);

Comment 3 Christopher McCrory 2003-09-19 13:16:09 EDT
D'oh one more time 


With curl from rawhide and rebuilding php , php/curl works
Comment 4 Christopher McCrory 2003-09-19 17:15:09 EDT

With taroon update just now published, everything works :)

Note You need to log in before you can comment on or make changes to this bug.